/*
--- 01 TYPOGRAPHY SYSTEM


      FONT-WEIGHTS
      default:400
      medium:500
      semi:600
      bold:700

      LINE-HEIGHTS:
      Default: 1
      small:1.05
      paragraph default: 1.6

      Letter spacing:
      0.75px
      0.5px

      FONT SIZE SYSTEM (px)
      10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98

--- 02 COLORS
-Primary:
-Tints: 
-Shades: 
-Accents:
-Greys:
#555
#333
#888
#6f6f6f

--- 05 SHADOWS
box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.075);

--- 06 BORDER_RADIUS
Default: 9px
Medium: 11px
--- 07 WHITE SPACE
      SPACING SYSTEM (px)
      2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128
*/
/*STICKY NAVIGATION*/
.sticky .nav-box {
  position: fixed;
  top: 0;
  bottom: 0;
  width: 100%;
  height: 8rem;
  padding-top: 0;
  padding-bottom: 0;
  background-color: rgba(21, 21, 21, 0.7);

  z-index: 999;
  box-shadow: 0 1.2rem 3.2rem rgba(0, 0, 0, 0.03);
}
/* .sticky .header {
  margin-top: 3.2rem;
} */
.sticky .hero-box {
  margin-top: -1rem;
}
/*MOBILE NAVIGATION*/

.btn-mobile-nav {
  border: none;
  background: none;
  cursor: pointer;
  display: none;
}

.icon-mobile-nav {
  height: 4.8rem;
  width: 4.8rem;
  color: #fff;
}
.icon-mobile-nav[name="close-outline"] {
  display: none;
}

/****************************/
/********************/
/* HEADER*/
/********************/

.header {
  background-image: linear-gradient(rgba(0, 0, 0, 0.6), rgba(10, 10, 10, 0.2)),
    url(../img/hero.jpg);
  background-size: cover;
  width: 100%;
  height: 100vh;
  background-position: bottom center;
  color: #fff;
}
.nav-box {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 9.6rem;
  padding: 2rem 4.8rem;
  color: #fff;
  font-size: 2.4rem;
  position: relative;
}
.nav-img {
  width: 100%;
}
.nav-items {
  display: flex;
  gap: 4.8rem;
  list-style: none;
  align-items: center;
}
.main-nav-link:link,
.main-nav-link:visited {
  text-decoration: none;
  color: #fff;
  display: inline-block;
  transition: all 0.3s;
}
.main-nav-link:hover,
.main-nav-link:active {
  color: #999;
}
.nav-point {
  height: 9.6rem;
  background-color: #000;
}
/********************/
/* HERO SECTION */
/********************/
.hero-box {
  padding-top: 9.6rem;
  /* margin-bottom: 9.6rem; */
  display: flex;
  flex-direction: column;
  gap: 1.6rem;
  align-items: center;
}
.hero-text {
  margin-top: 3.2rem;
  margin-bottom: 5.4rem;
  font-size: 2rem;
  width: 50%;
  text-align: center;
  line-height: 1.3;
}
.btn-box {
  display: flex;
  gap: 3.6rem;
  align-items: center;
  justify-content: center;
}

/********************/
/* ABOUT US SECTION */
/********************/
.about-us-section {
  padding: 9.6rem 0;
}

.about-us-box {
  /* border: 1px solid #000; */
  width: 100%;
  justify-self: center;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.075);
  transition: all 0.3s;
  overflow: hidden;
}
.about-us-box:hover {
  transform: translateY(-1.2rem);
  box-shadow: 0 3.2rem 6.4rem rgba(0, 0, 0, 0.06);
}
.about-us-icon-box {
  background-color: #dee2e6;
  width: 100%;
  height: 100%;
}
.about-us-icon {
  width: 6.4rem;
  height: 6.4rem;
  color: #fff;
  padding: 2.4rem 0;
}
.about-us-box-content {
  background-color: #fff;
  padding: 2.4rem;
}
.about-us-title {
  font-size: 2.6rem;
  margin-bottom: 1.2rem;
}
.about-us-text {
  font-size: 1.6rem;
}
/********************/
/* TESTIMONIAL AND GALLERY SECTION */
/********************/
.testimonial-section {
  background-color: #212529;
  display: grid;
  grid-template-columns: 1fr 1fr;
  color: #fff;
  align-items: center;
}
.testimonial-container {
  padding: 9.6rem;
}
.testimonial-box {
  border-bottom: 1px solid #999;
}
.customer-review {
  display: flex;
  align-items: center;
  gap: 2.4rem;
  justify-self: end;
}
.customer-flex {
  display: flex;
  flex-direction: column;
  gap: 1.4rem;
}
.customer-name {
  font-size: 1.6rem;
}
.testimonial-img {
  width: 8.4rem;
  border-radius: 50%;
}
.testimonial-stars {
  display: flex;
  font-size: 2.4rem;
}
.testimonial-text {
  font-size: 1.6rem;
  font-weight: 300;
  margin-bottom: 2rem;
  line-height: 1.2;
  margin-top: 2rem;
}
.gallery {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1.6rem;
  padding: 1.6rem;
}
.gallery-item {
  overflow: hidden;
}
.gallery-item img {
  display: block;
  width: 100%;
  height: 100%;
  transition: all 0.3s;
}
.gallery-item img:hover {
  transform: scale(1.1);
}
/********************/
/* PRICING SECTION */
/********************/
.pricing-section {
  padding: 9.6rem 0;
}
/* 
pricing plans takes the height they only need 
.pricing {
  align-items: flex-start;
} */
.pricing-plan {
  width: 100%;
  /* display: flex;
  flex-direction: column; */
  /* border: 1px solid #000; */
  box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.075);
  color: #fff;
  position: relative;
}
.first-col-plan {
  justify-self: end;
}
.mid-col-plan {
  justify-self: center;
}
.bg1 {
  background-image: url(../img/pricing/pricing1.jpg);
}
.pricing-plan:nth-child(2) header {
  background-image: url(../img/pricing/pricing2.jpg);
}
.pricing-plan:nth-child(3) header {
  background-image: url(../img/pricing/pricing3.jpg);
}
.pricing-plan:nth-child(4) header {
  background-image: url(../img/pricing/pricing4.jpg);
}
.pricing-plan:nth-child(5) header {
  background-image: url(../img/pricing/pricing5.jpg);
}
.pricing-plan:nth-child(6) header {
  background-image: url(../img/pricing/pricing6.jpg);
}
.pricing-plan-header {
  background-size: cover;
  background-position: center;
  width: 100%;
  text-align: center;
}
.plan-name {
  font-size: 3.2rem;
  font-weight: 600;
  padding-bottom: 1rem;
  border-bottom: 1px solid #eee;
  padding: 2.6rem 5.2rem;
}
.plan-price {
  padding-top: 1rem;
  font-size: 2.4rem;
}
.plan-text {
  padding: 1rem 2rem 3.2rem 2rem;
  font-size: 1.4rem;
  line-height: 1.1;
}
.pricing-plan-content {
  color: #212529;
  padding: 3.2rem;
}
.pricing-plan-list {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 1.8rem;
  font-size: 1.4rem;
}
.plan-list-item {
  display: flex;
  align-items: center;
  gap: 1rem;
}
.plan-sign-up {
  text-align: center;
}
/********************/
/* CTA SECTION */
/********************/
.cta-section {
  padding: 4.8rem 0 12.8rem 0;
}
.cta {
  display: grid;
  grid-template-columns: 2fr 1fr;
  box-shadow: 0 2.4rem 4.8rem rgb(0 0 0 / 15%);
  background-image: linear-gradient(to right, #212121, #212129);
  overflow: hidden;
}
.cta-text-box {
  padding: 4.8rem 6.4rem 6.4rem 6.4rem;
}
.cta-text {
  font-size: 1.8rem;
  line-height: 1.8rem;
  margin-top: 3.2rem;
  margin-bottom: 4.8rem;
  color: #fff;
}
.cta-img-box {
  background-image: linear-gradient(
      to right,
      rgba(20, 20, 20, 0.302),
      rgba(21, 21, 29, 0.33)
    ),
    url(../img/cta.jpg);
  background-size: cover;
  background-position: center;
}
.cta-form {
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: 3.2rem;
  row-gap: 2.4rem;
}
.cta-form label {
  display: block;
  font-size: 1.6rem;
  font-weight: 500;
  margin-bottom: 1.2rem;
  color: #fff;
}
.cta-form input,
.cta-form select {
  color: #212529;
  width: 100%;
  padding: 1.2rem;
  font-size: 1.8rem;
  font-family: inherit;
  border: none;
  background-color: #ccc;
  border-radius: 9px;
  box-shadow: 0 1px 2px rgb(0 0 0 / 10%);
  color: inherit;
}
.cta-form option {
  color: #212529;
}
.btn--form {
  background-color: #fff;
  border: 1px solid #fff;
  color: #212529;
  align-self: end;
  padding: 1.2rem;
  cursor: pointer;
  font-size: 1.8rem;
  font-weight: 600;
  border-radius: 9px;
  transition: all 0.3s;
}
.btn--form:hover {
  background-color: rgba(21, 21, 29, 0.33);
  color: #fff;
  /* border: 1px solid #fff; */
}
/********************/
/* FOOTER */
/********************/
.footer {
  padding: 12.8rem 0;
  border-top: 1px solid #eee;
  color: #212529;
}
.grid--footer {
  grid-template-columns: 1.5fr 1.5fr 1fr 1fr;
}
.logo-col {
  display: flex;
  flex-direction: column;
}
.footer-logo {
  display: block;
  margin-bottom: 3.2rem;
}
.social-links {
  list-style: none;
  display: flex;
  gap: 2.4rem;
}
.social-icon {
  height: 2.4rem;
  width: 2.4rem;
}
.copyright {
  font-size: 1.4rem;
  color: #212529;
  line-height: 1.6;
  margin-top: auto;
}
.footer-heading {
  font-size: 1.8rem;
  font-weight: 500;
  margin-bottom: 4rem;
}
.contacts {
  font-style: normal;
  font-size: 1.6rem;
  line-height: 1.6;
  display: flex;
  flex-direction: column;
  gap: 2rem;
}
.footer-nav {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 2.4rem;
}
.footer-link:link,
.footer-link:visited {
  text-decoration: none;
  font-size: 1.6rem;
  color: #212529;
  transition: all 0.3s;
}
.footer-link:hover,
.footer-link:active {
  color: #555;
}
